OpenGL-2.2.3.1: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.GL.RasterPos

Description

This module corresponds to section 2.13 (Current Raster Position) of the OpenGL 2.1 specs.

# Documentation

currentRasterPosition :: StateVar (Vertex4 GLfloat)

class RasterPosComponent a

Instances

RasterPosComponent Double |
RasterPosComponent Float |
RasterPosComponent Int16 |
RasterPosComponent Int32 |

class RasterPos a where

Methods

rasterPos :: a -> IO ()

rasterPosv :: Ptr a -> IO ()

Instances

RasterPosComponent a => RasterPos (Vertex4 a) |
RasterPosComponent a => RasterPos (Vertex3 a) |
RasterPosComponent a => RasterPos (Vertex2 a) |

class WindowPosComponent a

Instances

WindowPosComponent Double |
WindowPosComponent Float |
WindowPosComponent Int16 |
WindowPosComponent Int32 |

class WindowPos a where

Methods

windowPos :: a -> IO ()

windowPosv :: Ptr a -> IO ()

Instances

WindowPosComponent a => WindowPos (Vertex3 a) |
WindowPosComponent a => WindowPos (Vertex2 a) |

currentRasterDistance :: GettableStateVar GLfloat

currentRasterColor :: GettableStateVar (Color4 GLfloat)

currentRasterSecondaryColor :: GettableStateVar (Color4 GLfloat)

currentRasterIndex :: GettableStateVar (Index1 GLint)

currentRasterTexCoords :: GettableStateVar (TexCoord4 GLfloat)

currentRasterPositionValid :: GettableStateVar Bool

rasterPositionUnclipped :: StateVar Capability